Get Agent Qualification Settings
curl --request GET \
--url https://api.getnexor.ai/api/public/workflows/{id}/qualification \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getnexor.ai/api/public/workflows/{id}/qualification"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getnexor.ai/api/public/workflows/{id}/qualification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categories": [
{
"category_key": "<string>",
"category_name": "<string>",
"description": "<string>",
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_field_key": "<string>",
"reference_field_key": "<string>",
"icon": "<string>",
"ai_guidance": "<string>",
"followup_prompt": "<string>",
"message_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threshold_type": "numeric_min",
"threshold_value": "<unknown>",
"timing_type": "fixed_delay",
"timing_config": {},
"scope": "global",
"detection_keywords": [
"<string>"
],
"example_triggers": [
"<string>"
],
"detection_patterns": {},
"default_delay_months": 123,
"min_delay_days": 123,
"max_delay_months": 123,
"priority": 123,
"is_active": true,
"metadata": {}
}
],
"conditions": [
{
"condition_key": "<string>",
"condition_name": "<string>",
"condition_description": "<string>",
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_field_key": "<string>",
"reference_field_key": "<string>",
"icon": "<string>",
"ai_guidance": "<string>",
"followup_prompt": "<string>",
"message_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threshold_type": "numeric_min",
"threshold_value": "<unknown>",
"timing_type": "fixed_delay",
"timing_config": {},
"scope": "global",
"detection_keywords": [
"<string>"
],
"example_triggers": [
"<string>"
],
"detection_patterns": {},
"default_delay_months": 123,
"min_delay_days": 123,
"max_delay_months": 123,
"priority": 123,
"is_active": true,
"metadata": {}
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Get Agent Qualification Settings
This operation lets you get agent qualification settings for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
GET
/
workflows
/
{id}
/
qualification
Get Agent Qualification Settings
Last modified on September 8, 2026
⌘I